use ExtUtils::MakeMaker;
# See lib/ExtUtils/MakeMaker.pm for details of how to influence
# the contents of the Makefile that is written.
WriteMakefile(
    'NAME'    => 'SQL::Abstract::Clauses',
    'VERSION_FROM'  => 'lib/SQL/Abstract/Clauses.pm', # finds $VERSION
    'PREREQ_PM'    => { 'Module::Pluggable::Fast' => 0,
                        'SQL::Abstract'  => 0, # Required by SQL::Abstract::Clauses ?
                        'Test::MockObject' => 0, # Tests
                      }, # e.g., Module::Name => 1.1
    ($] >= 5.005 ?    ## Add these new keywords supported since 5.005
      (ABSTRACT_FROM => 'lib/SQL/Abstract/Clauses.pm', # retrieve abstract from module
       AUTHOR     => 'Max Maischein <corion@cpan.org>') : ()),
);

1;
